Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[overlay] Pro audio production applications, Part 2
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 13, 14, 15, 16, 17  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Fri Jul 01, 2011 1:00 am    Post subject: Reply with quote

I have no trouble with waf. Should I post emerge --info or anything else so people who have trouble can compare it to my system and see what's different?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Fri Jul 01, 2011 7:18 am    Post subject: Reply with quote

audiodef wrote:
Keenblade, I was wondering if guitarix compiles for you. I had guitarix already installed before I emerged guitarix2...

guitarix compiles fine with portage.
darkbasic wrote:

Really? I did not try this ebuild, but I made one for gx_head some time ago and I had the same problem: waf does not work with portage.

I am sure it is the same problem, because upstream renamed gx_head to guitarix2 and obsoleted gx_head branch.
Quote:

I want phpBB3 :(

me, too.
audiodef wrote:
I have no trouble with waf. Should I post emerge --info or anything else so people who have trouble can compare it to my system and see what's different?

Yes, it would be good to know your system, since you are the chosen one (that can emerge guitarix2) :)
Preferably you can use proaudio bug tracker to post emerge --info, etc.

Note: guitarix2 ebuild is in overlay for those who want to test.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
chris.c.hogan
Apprentice
Apprentice


Joined: 02 Oct 2005
Posts: 187

PostPosted: Tue Jul 12, 2011 2:45 am    Post subject: Reply with quote

I've been looking for an ebuild for libp5glove. I just pick one of these up and wanted to see what it could do. Hunting around, I found a reference to media-libs/libp5glove in csound-5.12.1-r3.ebuild from the pro-audio overlay. However, I can't find the libp5glove ebuild. Does anyone know where Ican find this?

Thanks in advance...
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Thu Jul 14, 2011 3:13 pm    Post subject: Reply with quote

chris.c.hogan wrote:
I've been looking for an ebuild for libp5glove. I just pick one of these up and wanted to see what it could do. Hunting around, I found a reference to media-libs/libp5glove in csound-5.12.1-r3.ebuild from the pro-audio overlay. However, I can't find the libp5glove ebuild. Does anyone know where Ican find this?

Thanks in advance...

Probably, libp5glove ebuild sits in one of the developers local overlay. You may take a look at commit messages of subversion and or Changelogs of the csound ebuild in order to find who put media-libs/libp5glove as a dependency for csound.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
AkhIL
n00b
n00b


Joined: 15 Jul 2005
Posts: 48
Location: Siberia

PostPosted: Wed Jul 27, 2011 10:32 am    Post subject: Reply with quote

After recent update. Update after about mounth without updates. I got some problems with jack from pro-audio overlay.
Almost all clients hangs during exit.

Code:

 * * some output here * *
Jack: no message buffer overruns
Jack: JackPosixThread::Stop
Jack: ThreadHandler: exit
Jack: JackShmReadWritePtr::~JackShmReadWritePtr 1
Jack: Succeeded in unlocking 1040 byte memory area
Jack: JackShmReadWritePtr::~JackShmReadWritePtr 0
Jack: Succeeded in unlocking 82246176 byte memory area
Jack: jack_client_close res = 0
* * hangs here * *


clients which tested and hangs:
mplayer, mhwaveedit, ardour3, pathcage

tested with:
media-sound/jack-audio-connection-kit-2.9999 (svn) and 1.9.7
backends dummy and alsa

Strange but if I run same application via gdb or even aoss it exits ok.

Any hint why jack clients might hang?

-----------------

Update:
found workaround.
Code:
export LD_PRELOAD=libaoss.so

This line in profile makes all work fine.
_________________
http://akhilman.blogspot.com
Back to top
View user's profile Send private message
AkhIL
n00b
n00b


Joined: 15 Jul 2005
Posts: 48
Location: Siberia

PostPosted: Sat Jul 30, 2011 12:17 am    Post subject: Reply with quote

Attaching gdb to process:
Code:

[Thread 0x7f6d17daa700 (LWP 26445) exited]
[Thread 0x7f6d1cc9b700 (LWP 26444) exited]
[Thread 0x7f6d2a2ae700 (LWP 26443) exited]

* Pushing CTRL+C in terminal with client *

Program received signal SIGINT, Interrupt.
0x00007f6d1f987ba4 in _nv012tls ()
   from //usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.275.19
(gdb)

Same with mhwaveedit and mplayer.

Downgrading NVidia driver from 275.19 to 270.41.19 solved problem.
_________________
http://akhilman.blogspot.com
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 300

PostPosted: Sat Aug 13, 2011 6:25 pm    Post subject: Reply with quote

Hi,
I'm just copying over a post of...
Quote:
UPDATE: commit b2a540c..64066f8 - adding sys-kernel/git-sources-3.1_rc1 for the more adventurous ones with liitle changes of the main ebuild, 3.0.2-stable will be released very soon with almost 80% of drivers fixes, stay tuned! lkml link

EDIT: And yeah, as -rt devs are very active the time, I could easily add a git-sources-${PV/r[0-9]*/rt11}.ebuild (-r1 -> -rt11) if some people are interested! I wouldn't test the kernel though... however, knowing the instability of that new -rt kernel, I'd move aufs2 as a USE flag (aufs) dependent feature and make -rt patchset as the built in patch stack on the 3.0.1-stable (vanilla) tree. Of course, I'd try to add everything/enable all the USE flags/ to see if everything goes as expected, so, will remain the `make' and running issues introduced by the -rt patchset but the support of those is good right now as the 3.0 -rt patchset is not yet stable.

topic 889918.
Back to top
View user's profile Send private message
XavierMiller
Moderator
Moderator


Joined: 23 Jul 2004
Posts: 5581
Location: ~Brussels - Belgique

PostPosted: Sat Aug 13, 2011 7:19 pm    Post subject: Reply with quote

The RT kernel is in the pro-audio overlay.
The version 3.0.1-rt9 is there, but this is not yet stable (see the RT mailing list).
_________________
Xavier Miller
(FR) Merci de respecter les règles du forum.
http://www.xaviermiller.be
Back to top
View user's profile Send private message
McGruff
Tux's lil' helper
Tux's lil' helper


Joined: 28 Dec 2004
Posts: 147

PostPosted: Sat Oct 15, 2011 9:30 pm    Post subject: Reply with quote

Anyone know of software which can convert Proteus samples (.ebl I think they are) into something I can use with jsampler?
Back to top
View user's profile Send private message
McGruff
Tux's lil' helper
Tux's lil' helper


Joined: 28 Dec 2004
Posts: 147

PostPosted: Fri Nov 11, 2011 6:51 pm    Post subject: Reply with quote

Anyone having hdspmixer problems (RME Multiface, etc) see http://ardour.org/node/4583#comment-27000. Building from GIT source might be the solution you're looking for.
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 300

PostPosted: Fri Nov 18, 2011 6:35 am    Post subject: Reply with quote

media-sound/laditools need to be update as this package require x11-libs/vte:0 at runtime, I've just had a bad surprise the other day after a few clean up.

Anybody managed too compile media-sound/ardour-3.9999 with tranzport USE flag? just failing here.
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 300

PostPosted: Fri Nov 18, 2011 4:56 pm    Post subject: Reply with quote

My bad... just noticed, actually I forgot about it, that laditools is in... ladi [overlay]. Lets see if I can send something to Nedko.
Back to top
View user's profile Send private message
darkbasic
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2006
Posts: 124

PostPosted: Sun Dec 25, 2011 8:25 pm    Post subject: Reply with quote

What's the point having two ebuilds for the same app?
pro-audio's mixxx ebuild does not work, there is another one in sunrise.
Please see https://bugs.gentoo.org/show_bug.cgi?id=310821
_________________
Computers are like air conditioners:
they stop working properly when you open Windows...

Coltiva Linux, Windows si pianta da solo.


http://www.linuxsystems.it/
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Mon Dec 26, 2011 12:34 am    Post subject: Reply with quote

darkbasic wrote:
What's the point having two ebuilds for the same app?
pro-audio's mixxx ebuild does not work, there is another one in sunrise.
Please see https://bugs.gentoo.org/show_bug.cgi?id=310821

Ebuilds are not the same. Actually, pro-audio one is working here, because I put the mixxx-1.10.0.ebuild to the pro-audio, today, after successful compiling. I had created another one almost identical to the one in the link you posted (because, I referenced it from sunrise 1.9.2 ebuild), but it did not compile here.
So, have you tried the one (mixxx-1.10.0.ebuild) that I put in pro-audio overlay?
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
darkbasic
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2006
Posts: 124

PostPosted: Mon Dec 26, 2011 1:11 am    Post subject: Reply with quote

I did try the pro-audio's ebuild and it does not work for me. The ebuilds in the sunrise overlay are actively maintained, there is 1.10 waiting for review now (https://overlays.gentoo.org/svn/proj/sunrise/sunrise/media-sound/mixxx/) but I still didn't test it.
_________________
Computers are like air conditioners:
they stop working properly when you open Windows...

Coltiva Linux, Windows si pianta da solo.


http://www.linuxsystems.it/
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Mon Dec 26, 2011 1:31 am    Post subject: Reply with quote

I tired the sunrise one, it failed to compile. The strange thing (maybe just some luck), if I restart and compile with my ebuild, it compiles. But the second compile fails. At least I have a working mixxx.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
VanFanel
Apprentice
Apprentice


Joined: 19 Feb 2007
Posts: 157

PostPosted: Mon Mar 19, 2012 9:36 pm    Post subject: Reply with quote

Hi there

I've followed the guide to gentoo proaudio here:

http://www.audiodef.com/projects.php?project_id=1

so I ended up with my /etc/security/limits.conf like this:

Code:

*      hard   rtprio      0
*      soft   rtprio      0
@realtime   hard   rtprio      20
@realtime      soft   rtprio      10

@audio      -   rtprio      95
@audio      -   memlock      unlimited


I also added my regular user to both audio and realtime groups.

So, if I do
Code:
rlimit -u
, I get a 95 (wich I suppose is for my user).
Well, so here comes my question:

why had I do add my user to both the audio and realtime groups? It doesn't make sense to put different rtprio values for both groups because and user belonging to both groups will end having the highest rtprio value...

Can you guys clear it for me? I can't find a way to reach the guide's creator.

thanks!
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Thu Apr 05, 2012 12:55 am    Post subject: Reply with quote

I don't think it's necessary to edit /etc/security/limits.conf anymore.

If you have the 'pam' USE flag enabled when emerging media-sound/jack-audio-connection-kit, it will pull in sys-auth/realtime-base which will automatically create the 'realtime' group and install the file /etc/security/limits.d/40-realtime-base.conf so that all you need do is put your relevant user in the 'realtime' group and everything should work.
Back to top
View user's profile Send private message
darkbasic
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2006
Posts: 124

PostPosted: Thu Apr 05, 2012 9:31 am    Post subject: Reply with quote

media-sound/jack-audio-connection-kit-2.999 doesn't have any pam useflag...
_________________
Computers are like air conditioners:
they stop working properly when you open Windows...

Coltiva Linux, Windows si pianta da solo.


http://www.linuxsystems.it/
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 361
Location: Adelaide, Australia

PostPosted: Fri Apr 06, 2012 5:06 am    Post subject: Reply with quote

darkbasic wrote:
media-sound/jack-audio-connection-kit-2.999 doesn't have any pam useflag...

Right, actually none of the pro-audio jack ebuilds do anything to setup realtime using sys-auth/realtime-base.
The pro-audio jack ebuilds seem to be based originally on old portage ebuilds that have since evolved in portage proper to include sys-auth/realtime-base.

In fact I haven't persevered further with it, but none of the pro-audio overlay jack ebuilds >=1.9.6 worked for me due to missing the 'jackd' binary, but this could be some upstream by design thing.
Sticking with portage's jack ebuilds for now...
Back to top
View user's profile Send private message
darkbasic
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2006
Posts: 124

PostPosted: Fri Apr 06, 2012 7:11 am    Post subject: Reply with quote

Is there any released version of jack2 with session support?
_________________
Computers are like air conditioners:
they stop working properly when you open Windows...

Coltiva Linux, Windows si pianta da solo.


http://www.linuxsystems.it/
Back to top
View user's profile Send private message
McGruff
Tux's lil' helper
Tux's lil' helper


Joined: 28 Dec 2004
Posts: 147

PostPosted: Wed Apr 18, 2012 3:42 pm    Post subject: Reply with quote

I've almost finished writing an ebuild "ardour-irc" which allows Ardour to be controlled by an infra red remote and OSC. I'm also preparing a simple command-line utility which does some simple, helpful DAW stuff like cleaning out Ardour dead sounds folders, and launching sessions with multiple audio apps (whether they support jack session or not).

I'd like to distribute these via the pro-audio overlay: where do I start...?
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 300

PostPosted: Thu Apr 19, 2012 9:16 am    Post subject: Reply with quote

Somebody pushed freesound USE flag in ardour-3.9999 which causing the configure phase to fails... it should be removed. And yes, I'm not on the mail list, so no dea is happening out there.
_________________
mkinitramfs-ll:topic 879125::(bar-)overlay
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Wed Apr 25, 2012 8:41 pm    Post subject: Reply with quote

mcgruff wrote:
...
I'd like to distribute these via the pro-audio overlay: where do I start...?

You can open a bug report and attach your ebuilds and related files at proaudio BugTracker. So we can put them in overlay.
tclover wrote:
Somebody pushed freesound USE flag in ardour-3.9999 which causing the configure phase to fails... it should be removed. And yes, I'm not on the mail list, so no dea is happening out there.

Please file a report at proaudio BugTracker with your emerge log attached. Does ardour still fails to compile, if you disable freesound useflag?
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 300

PostPosted: Mon Apr 30, 2012 2:22 pm    Post subject: Reply with quote

@keenblade: it compiles just fine without freesound USE flag, but it does not with it. media-sound/ardour-2.9999 compiles just fine with it. I did not notice anything obvious after a closer look in wscript. The definition of freesound related part is just similar to the other USE flags, although I don't know that much about python (script language).

I attached the required files to an email that I sent a few days ago in pro-audio mail list. I will try to open a bug if I can get an account ready and running in the following days.
_________________
mkinitramfs-ll:topic 879125::(bar-)overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 13, 14, 15, 16, 17  Next
Page 14 of 17

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum